#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>

#include "dfbiterm.h"		/* for iterm_struct */

static void
init_tty(void)
{
	struct termios t;
	write(STDOUT_FILENO, "\x1b=",2); /* to switch keypad application modes */

	/* save current parameters */
	tcgetattr (STDIN_FILENO, &(pIterm->ntio));

	/* set new keyboard control parameters for new terminal */
	t = pIterm->ntio;
	t.c_line = 0;
	t.c_lflag &= ~(ECHO | ISIG | ICANON | XCASE);
	t.c_iflag = 0;
	t.c_cflag |= CS8;
	t.c_oflag &= ~OPOST;
	t.c_cc[VMIN] = 1;
	t.c_cc[VTIME] = 0;
	tcsetattr (0, TCSAFLUSH, &t);
}

void
clean_up(int sig)
{
	/* set new keyboard control parameters for new terminal */
	write(STDOUT_FILENO, "\x1b>",2); /* to switch keypad numeric modes */
	tcsetattr (0, TCSAFLUSH, &(pIterm->ntio));
	dfb_end();
	exit (0);
}

/* Initialize tty */
int
InitTerm(void)
{
	if (!isatty(STDIN_FILENO)) {
		fprintf (stderr, "This is not a tty.\r\n");
		return -1;
	}
  
	return 0;
}
